=== debian/changelog ===
jdupes (1.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 04 Dec 2016 09:14:17 -0200

jdupes (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. Welcome to Debian!
  * debian/copyright: fixed a date about upstream source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 09:31:20 -0200

jdupes (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/watch: removed the opts line, no longer needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Nov 2016 15:19:36 -0200

jdupes (1.5+git20161027.bc13175-1) experimental; urgency=medium

  * Initial release (Closes: #835554)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Oct 2016 09:30:35 -0200
