## jdupes 1.6.2

=== Makefile ===
--- 
+++ 
@@ -98,7 +98,7 @@
 # to support features not supplied by their vendor. Eg: GNU getopt()
 #ADDITIONAL_OBJECTS += getopt.o
 
-OBJECT_FILES += jdupes.o jody_hash.o string_malloc.o $(ADDITIONAL_OBJECTS)
+OBJECT_FILES += jdupes.o jody_hash.o jody_paths.o jody_sort.o string_malloc.o $(ADDITIONAL_OBJECTS)
 
 all: jdupes
