=== debian/changelog ===
jdupes (1.7-2+deb9u1) stretch; urgency=medium

  * debian/patches/20_fix-crash-arm.patch: add to fix a potential crash in
    ARM. Thanks to Jody Bruchon <jody@jodybruchon.com>. (Closes: #914078)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Nov 2018 00:10:16 -0200

jdupes (1.7-2) unstable; urgency=medium

  * debian/patches/10_fix-segfault.patch: added to fix a segmentation fault in
    jdupes. (Closes: #854427)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2017 22:19:51 -0200

jdupes (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. See the previous changelog for details.
    (Closes: #848360)
  * debian/patches/10_use-program-name-variable.patch: dropped. The upstream
    fixed the source code. Thanks!
  * debian/README.Debian: added a new information.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 03 Jan 2017 17:30:04 -0200

jdupes (1.6.2-4) experimental; urgency=medium

  * Using a single package again, as suggested by Christoph Anton Mitterer
    <calestyo@scientia.net>. It will solve #848360 when uploaded to Sid.
    Consequently:
      - Changed debian/rules to build with BTRFS when over Linux.
      - Removed debian/jdupes.install and debian/jdupes-btrfs.*
      - Renamed debian/jdupes.docs to debian/docs.
      - Renamed debian/README.source to debian/README.Debian. Updated all
        information.
  * debian/control:
      - Added a Conflicts, Provides and Replaces fields to uninstall any
        jdupes-btrfs from the system.
      - Improved the description.
      - Removed the package jdupes-btrfs.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/10_use-program-name-variable.patch.txt: a mistake. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Jan 2017 19:52:54 -0200

jdupes (1.6.2-3) unstable; urgency=medium

  * debian/rules: added a condition to select when jdupes-btrfs will
    be built or not, fixing a FTBFS in Hurd/kFreeBSD-*. Thanks a lot
    to Aaron M. Ucko <ucko@debian.org>. (Closes: #848244)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 15 Dec 2016 14:05:21 -0200

jdupes (1.6.2-2) unstable; urgency=medium

  * Created a new binary: jdupes-btrfs. See debian/README.source in source code
    of this package for details. To create the new binary, the following files
    were created or changed:
      - debian/control (changed).
      - debian/docs: renamed to jdupes.docs and jdupes-btrfs.docs.
      - debian/jdupes-btrfs.install (created).
      - debian/jdupes-btrfs.manpages (created).
      - debian/jdupes.install (created).
      - debian/patches/10_use-program-name-variable.patch (created).
      - debian/README.source (created).
      - debian/rules (changed).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 14 Dec 2016 17:10:04 -0200

jdupes (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 03 Dec 2016 13:56:52 -0200

jdupes (1.6.1-1) UNRELEASED; urgency=medium

  * New upstream release. (Closes: #846255)
  * debian/control: improved the long description.
  * debian/copyright: updated to include some new rights.
  * debian/rules: added the DEB_CFLAGS_MAINT_APPEND variable
    to enable the support to BTRFS. (Closes: #846255)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2016 21:33:27 -0200
