=== debian/control ===
--- 
+++ 
@@ -11,7 +11,10 @@
 Package: jdupes
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: identify and delete duplicate files
+Provides: jdupes-btrfs
+Conflicts: jdupes-btrfs
+Replaces: jdupes-btrfs
+Description: identify and delete or link duplicate files
  jdupes is a program based in fdupes. The main goal of jdupes is identify
  and taking actions upon duplicate files. In comparison with fdupes, jdupes
  is heavily modified from and improved.
@@ -32,4 +35,7 @@
  .
  jdupes can convert duplicate files in hardlinks or relative softlinks. It
  is useful in several scenarios, as in Debian packaging, to create relative
- symlinks to lots of duplicate files.
+ symlinks to lots of duplicate files (it will substitute rdfind + symlinks
+ commands, used to same purpose, when solving lintian duplicate-files).
+ .
+ Packages build for Linux versions have support to btrfs filesystem.
