## jdupes 1.8

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,10 @@
 # Uncomment for low memory usage at the expense of speed and features
 # This can be enabled at build time: 'make LOW_MEMORY=1'
 #LOW_MEMORY=1
+
+# Uncomment this to build in hardened mode.
+# This can be enabled at build time: 'make HARDEN=1'
+#HARDEN=1
 
 #####################################################################
 # Developer Configuration Section                                   #
@@ -63,6 +67,10 @@
 ifdef DEBUG
 COMPILER_OPTIONS += -DDEBUG
 endif
+ifdef HARDEN
+COMPILER_OPTIONS += -Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fPIE -fpie -Wl,-z,relro -Wl,-z,now
+endif
+
 
 # MinGW needs this for printf() conversions to work
 ifeq ($(OS), Windows_NT)
@@ -83,6 +91,7 @@
 # New BTRFS support option
 ifdef ENABLE_BTRFS
 COMPILER_OPTIONS += -DENABLE_BTRFS
+OBJECT_FILES += act_dedupefiles.o
 endif
 # Low memory mode
 ifdef LOW_MEMORY
@@ -99,7 +108,8 @@
 #ADDITIONAL_OBJECTS += getopt.o
 
 OBJECT_FILES += jdupes.o jody_hash.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
-OBJECT_FILES += act_deletefiles.o act_dedupefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
+OBJECT_FILES += jody_cacheinfo.o
+OBJECT_FILES += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
 OBJECT_FILES += $(ADDITIONAL_OBJECTS)
 
 all: jdupes
@@ -117,3 +127,9 @@
 
 clean:
 	$(RM) $(OBJECT_FILES) $(PROGRAM_NAME) jdupes.exe *~ *.gcno *.gcda *.gcov
+
+distclean: clean
+	$(RM) *.pkg.tar.xz
+
+package:
+	+./chroot_build.sh
