=== debian/changelog ===
jdupes (1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: created to remove a file forgotten by the upstream.
  * debian/control: bumped Standards-Version to 4.0.0.
  * debian/copyright:
      - All upstream files are unde MIT license now.
      - Updated the upstream copyright years.
  * debian/patches/10_fix-segfault.patch: removed. This patch was previously
    supplied by the upstream and it is already in 1.8 source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Jul 2017 10:44:07 -0300
