=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/jbruchon/jdupes
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/jdupes.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/jdupes.git
