## jdupes 1.9

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 # Make Configuration
 CC ?= gcc
-COMPILER_OPTIONS = -Wall -Wextra -Wwrite-strings -Wcast-align -Wstrict-aliasing -pedantic -Wstrict-overflow -Wstrict-prototypes -Wpointer-arith -Wundef
+COMPILER_OPTIONS = -Wall -Wextra -Wwrite-strings -Wcast-align -Wstrict-aliasing -Wstrict-overflow -Wstrict-prototypes -Wpointer-arith -Wundef
 COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Wstrict-overflow=5 -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Wformat=2 -Winit-self
 COMPILER_OPTIONS += -std=gnu99 -O2 -g -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -pipe
 
@@ -71,6 +71,13 @@
 COMPILER_OPTIONS += -Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fPIE -fpie -Wl,-z,relro -Wl,-z,now
 endif
 
+# Catch someone trying to enable BTRFS in flags and turn on ENABLE_BTRFS
+ifneq (,$(findstring DENABLE_BTRFS,$(CFLAGS)))
+	ENABLE_BTRFS=1
+endif
+ifneq (,$(findstring DENABLE_BTRFS,$(CFLAGS_EXTRA)))
+	ENABLE_BTRFS=1
+endif
 
 # MinGW needs this for printf() conversions to work
 ifeq ($(OS), Windows_NT)
@@ -79,7 +86,7 @@
 	COMPILER_OPTIONS += -municode
 endif
 	COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1
-	OBJECT_FILES += win_stat.o
+	OBJS += win_stat.o
 	override undefine ENABLE_BTRFS
 	override undefine HAVE_BTRFS_IOCTL_H
 endif
@@ -91,7 +98,9 @@
 # New BTRFS support option
 ifdef ENABLE_BTRFS
 COMPILER_OPTIONS += -DENABLE_BTRFS
-OBJECT_FILES += act_dedupefiles.o
+OBJS += act_dedupefiles.o
+else
+OBJS_CLEAN += act_dedupefiles.o
 endif
 # Low memory mode
 ifdef LOW_MEMORY
@@ -100,33 +109,33 @@
 
 CFLAGS += $(COMPILER_OPTIONS) $(CFLAGS_EXTRA)
 
-INSTALL_PROGRAM = $(INSTALL) -c -m 0755
-INSTALL_DATA    = $(INSTALL) -c -m 0644
+INSTALL_PROGRAM = $(INSTALL) -m 0755
+INSTALL_DATA    = $(INSTALL) -m 0644
 
 # ADDITIONAL_OBJECTS - some platforms will need additional object files
 # to support features not supplied by their vendor. Eg: GNU getopt()
 #ADDITIONAL_OBJECTS += getopt.o
 
-OBJECT_FILES += jdupes.o jody_hash.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
-OBJECT_FILES += jody_cacheinfo.o
-OBJECT_FILES += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
-OBJECT_FILES += $(ADDITIONAL_OBJECTS)
+OBJS += jdupes.o jody_hash.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
+OBJS += jody_cacheinfo.o
+OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
+OBJS += $(ADDITIONAL_OBJECTS)
 
 all: jdupes
 
-jdupes: $(OBJECT_FILES)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJECT_FILES)
+jdupes: $(OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS)
 
 installdirs:
-	test -d $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
-	test -d $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)
+	test -e $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
+	test -e $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)
 
 install: jdupes installdirs
 	$(INSTALL_PROGRAM)	$(PROGRAM_NAME)   $(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
 	$(INSTALL_DATA)		$(PROGRAM_NAME).1 $(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)
 
 clean:
-	$(RM) $(OBJECT_FILES) $(PROGRAM_NAME) jdupes.exe *~ *.gcno *.gcda *.gcov
+	$(RM) $(OBJS) $(OBJS_CLEAN) $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
 
 distclean: clean
 	$(RM) *.pkg.tar.xz
