=== debian/changelog ===
jdupes (1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.1.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 04 Dec 2017 17:49:32 -0200
