=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
      export OPTS="ENABLE_BTRFS=1"
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(OPTS)
