## jdupes 1.10.2

=== Makefile ===
--- 
+++ 
@@ -85,15 +85,20 @@
 	UNICODE=1
 	COMPILER_OPTIONS += -municode
 endif
-	COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1
+	COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1 -DON_WINDOWS=1
 	OBJS += win_stat.o
 	override undefine ENABLE_BTRFS
-	override undefine HAVE_BTRFS_IOCTL_H
 endif
 
-# Remap old BTRFS support option to new name
-ifdef HAVE_BTRFS_IOCTL_H
-ENABLE_BTRFS=1
+# xxHash support
+ifdef USE_XXHASH
+COMPILER_OPTIONS += -DUSE_HASH_XXHASH64
+OBJS += xxhash.o
+OBJS_CLEAN += jody_hash.o
+else
+COMPILER_OPTIONS += -DUSE_HASH_JODYHASH
+OBJS += jody_hash.o
+OBJS_CLEAN += xxhash.o
 endif
 # New BTRFS support option
 ifdef ENABLE_BTRFS
@@ -104,7 +109,7 @@
 endif
 # Low memory mode
 ifdef LOW_MEMORY
-COMPILER_OPTIONS += -DLOW_MEMORY -DJODY_HASH_WIDTH=32 -DSMA_PAGE_SIZE=32768
+COMPILER_OPTIONS += -DLOW_MEMORY -DJODY_HASH_WIDTH=32 -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_USER_ORDER
 endif
 
 CFLAGS += $(COMPILER_OPTIONS) $(CFLAGS_EXTRA)
@@ -116,7 +121,7 @@
 # to support features not supplied by their vendor. Eg: GNU getopt()
 #ADDITIONAL_OBJECTS += getopt.o
 
-OBJS += jdupes.o jody_hash.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
+OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
 OBJS += jody_cacheinfo.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
 OBJS += $(ADDITIONAL_OBJECTS)
@@ -134,6 +139,8 @@
 	$(INSTALL_PROGRAM)	$(PROGRAM_NAME)   $(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
 	$(INSTALL_DATA)		$(PROGRAM_NAME).1 $(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)
 
+test:
+	./test.sh
 clean:
 	$(RM) $(OBJS) $(OBJS_CLEAN) $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
