=== debian/changelog ===
jdupes (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Migrated DH level to 11.
  * debian/clean: no longer needed. Removed.
  * debian/control:
      - Bumped Standards-Version to 4.2.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Added rights for Yann Collet.
      - Updated upstream and packaging years.
  * debian/docs:
      - Added OLD_CHANGES and OLD_CONTRIBUTORS.
      - Removed no longer existent TODO.
  * debian/patches/10-disable_test.patch: created to disable a wrong test.
  * debian/tests: created to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Aug 2018 22:22:01 -0300
