=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.0
 Homepage: https://github.com/jbruchon/jdupes
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/jdupes.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/jdupes.git
+Vcs-Browser: https://salsa.debian.org/debian/jdupes
+Vcs-Git: https://salsa.debian.org/debian/jdupes.git
 
 Package: jdupes
 Architecture: any
