=== debian/tests/control ===
Test-Command: jdupes debian/tests/
Depends: @
