## jdupes 1.11.1

=== debian/changelog ===
jdupes (1.11.1-2) unstable; urgency=medium

  * debian/tests/control: added a new test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Nov 2018 22:38:07 -0200

jdupes (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * debian/docs: removed no longer existent files OLD_CHANGES and
    OLD_CONTRIBUTORS.
  * debian/patches/10-disable_test.patch: removed in favor of an override add
    to debian/rules.
  * debian/rules: added override_dh_auto_test target as a substitute for the
    patch 10-disable_test.patch.
  * debian/tests/control: removed no longer needed redirection to stderr. The
    upstream fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Nov 2018 21:09:54 -0200

jdupes (1.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/20-fix_manpage.patch: removed.
    The upstream fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Sep 2018 23:04:56 -0300

jdupes (1.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/patches/20-fix_manpage.patch: added to fix a possible macro.
  * debian/tests/:
      - control:
          ~ Improved the test.
          ~ Removed unnecessary field Depends.
      - files/*: added to help improve the test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Sep 2018 21:56:50 -0300
