=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/jbruchon/jdupes
 Vcs-Browser: https://salsa.debian.org/debian/jdupes
 Vcs-Git: https://salsa.debian.org/debian/jdupes.git
