## jdupes 1.12

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 INSTALL = install	# install : UCB/GNU Install compatiable
 #INSTALL = ginstall
 RM      = rm -f
+RMDIR	= rmdir -p
 MKDIR   = mkdir -p
 #MKDIR   = mkdirhier
 #MKDIR   = mkinstalldirs
@@ -58,6 +59,13 @@
 #####################################################################
 # no need to modify anything beyond this point                      #
 #####################################################################
+
+# Set built-on date for display in program version info screen
+ifdef EMBED_BUILD_DATE
+BD=$(shell date +"\"%Y-%m-%d %H:%M:%S %z\"")
+$(shell echo "#define BUILT_ON_DATE \"$(BD)\"" > build_date.h)
+COMPILER_OPTIONS += -DBUILD_DATE
+endif
 
 # Debugging code inclusion
 ifdef LOUD
@@ -84,22 +92,13 @@
 ifndef NO_UNICODE
 	UNICODE=1
 	COMPILER_OPTIONS += -municode
+	PROGRAM_SUFFIX=.exe
 endif
 	COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1 -DON_WINDOWS=1
-	OBJS += win_stat.o
+	OBJS += win_stat.o winres.o
 	override undefine ENABLE_BTRFS
 endif
 
-# xxHash support
-ifdef USE_XXHASH
-COMPILER_OPTIONS += -DUSE_HASH_XXHASH64
-OBJS += xxhash.o
-OBJS_CLEAN += jody_hash.o
-else
-COMPILER_OPTIONS += -DUSE_HASH_JODYHASH
-OBJS += jody_hash.o
-OBJS_CLEAN += xxhash.o
-endif
 # New BTRFS support option
 ifdef ENABLE_BTRFS
 COMPILER_OPTIONS += -DENABLE_BTRFS
@@ -109,7 +108,7 @@
 endif
 # Low memory mode
 ifdef LOW_MEMORY
-COMPILER_OPTIONS += -DLOW_MEMORY -DJODY_HASH_WIDTH=32 -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_USER_ORDER
+COMPILER_OPTIONS += -DLOW_MEMORY -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_USER_ORDER
 endif
 
 CFLAGS += $(COMPILER_OPTIONS) $(CFLAGS_EXTRA)
@@ -124,25 +123,45 @@
 OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
 OBJS += jody_cacheinfo.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o
+OBJS += xxhash.o
 OBJS += $(ADDITIONAL_OBJECTS)
 
-all: jdupes
+OBJS_CLEAN += jdupes-standalone
 
-jdupes: $(OBJS)
+all: $(PROGRAM_NAME)
+
+$(PROGRAM_NAME): $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS)
+
+winres.o : winres.rc winres.manifest.xml
+	windres winres.rc winres.o
+
+standalone: jdupes-standalone
 
 installdirs:
 	test -e $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
 	test -e $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)
 
-install: jdupes installdirs
+install: $(PROGRAM_NAME) installdirs
 	$(INSTALL_PROGRAM)	$(PROGRAM_NAME)   $(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
 	$(INSTALL_DATA)		$(PROGRAM_NAME).1 $(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)
 
+uninstalldirs:
+	-test -e $(DESTDIR)$(BIN_DIR) && $(RMDIR) $(DESTDIR)$(BIN_DIR)
+	-test -e $(DESTDIR)$(MAN_DIR) && $(RMDIR) $(DESTDIR)$(MAN_DIR)
+
+uninstall: uninstalldirs
+	$(RM)	$(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
+	$(RM)	$(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).$(MAN_EXT)
+
 test:
 	./test.sh
+
+stripped: $(PROGRAM_NAME)
+	strip $(PROGRAM_NAME)$(PROGRAM_SUFFIX)
+
 clean:
-	$(RM) $(OBJS) $(OBJS_CLEAN) $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
+	$(RM) $(OBJS) $(OBJS_CLEAN) build_date.h $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
 
 distclean: clean
 	$(RM) *.pkg.tar.xz
