=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 
 override_dh_auto_build:
 	dh_auto_build -- $(OPTS)
+
+override_dh_auto_test:
