=== debian/tests/control ===
Test-Command: jdupes debian/tests/files/

Test-Command: jdupes -r testdir
