## jdupes 1.13.1

=== debian/changelog ===
jdupes (1.13.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Jul 2019 00:27:06 -0300

jdupes (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1.
  * debian/copyright: updated upstream copyright years.
  * debian/docs: changed from README to README.md.
  * debian/README.Debian: fixed a typo.
  * debian/rules: added a new override to install
    files inside /usr dir instead of /usr/local place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jun 2019 08:15:44 -0300
