## jdupes 1.13.2

=== debian/changelog ===
jdupes (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/tests/control:
      - Added a new test using several options from jdupes.
      - Added a notice about testdir.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Aug 2019 19:45:24 -0300
