=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/jbruchon/jdupes
 Vcs-Browser: https://salsa.debian.org/debian/jdupes
 Vcs-Git: https://salsa.debian.org/debian/jdupes.git
