=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(OPTS)
 
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr
+
 override_dh_auto_test:
