=== debian/changelog ===
jdupes (1.14.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: added to define PATH_MAX variable
    to fix a FTBFS in Hurd.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jan 2020 09:50:11 -0300

jdupes (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0.
  * debian/copyright:
      - Added rights for Oracle from new file dedupe-static.h.
      - Updated copyright years for Adrian Lopez (data changed by upstream).
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/rules:
      - Added STATIC_DEDUPE_H=1 to $OPTS (see INSTALL file in upstream place).
      - Changed from ENABLE_BTRFS=1 to ENABLE_DEDUPE=1 in $OPTS because it is
        the new name for the variable.
      - Split $OPTS to $OPT1 and $OPT2.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Dec 2019 00:57:29 -0300

jdupes (1.13.2-2) unstable; urgency=medium

  * debian/control:
      - Added Rules-Requires-Root: no to source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Set Multi-Arch: foreign. Thanks to Helmut Grohne <helmut@subdivi.de>.
        (Closes: #941588)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 02 Oct 2019 14:24:32 -0300
