=== debian/tests/control ===
Test-Command: jdupes debian/tests/files/

# testdir is a test directory provided by the upstream
Test-Command: jdupes -r testdir

Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP; jdupes -r1AHilsptz $AUTOPKGTEST_TMP/files
