## jdupes 1.18.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # To disable long options, uncomment the following line.
 #CFLAGS += -DOMIT_GETOPT_LONG
 
-# Uncomment for Linux for -B/--dedupe.
+# Uncomment for -B/--dedupe.
 # This can also be enabled at build time: 'make ENABLE_DEDUPE=1'
 #CFLAGS += -DENABLE_DEDUPE
 
@@ -123,7 +123,7 @@
 
 # Low memory mode
 ifdef LOW_MEMORY
-COMPILER_OPTIONS += -DLOW_MEMORY -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_USER_ORDER
+COMPILER_OPTIONS += -DLOW_MEMORY -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_SYMLINKS -DNO_USER_ORDER -DNO_PERMS
 endif
 
 CFLAGS += $(COMPILER_OPTIONS) $(CFLAGS_EXTRA)
@@ -135,7 +135,7 @@
 # to support features not supplied by their vendor. Eg: GNU getopt()
 #ADDITIONAL_OBJECTS += getopt.o
 
-OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o string_malloc.o
+OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o jody_strtoepoch.o string_malloc.o
 OBJS += jody_cacheinfo.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o act_printjson.o
 OBJS += xxhash.o
@@ -144,6 +144,13 @@
 OBJS_CLEAN += jdupes-standalone
 
 all: $(PROGRAM_NAME)
+
+static: $(PROGRAM_NAME)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS) -static
+
+static_stripped: $(PROGRAM_NAME)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS) -static
+	strip $(PROGRAM_NAME)
 
 $(PROGRAM_NAME): $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS)
@@ -181,6 +188,12 @@
 
 distclean: clean
 	$(RM) *.pkg.tar.xz
+	$(RM) -r jdupes-*-win*/ jdupes-*-win*.zip
+	$(RM) -r jdupes-*-mac*/ jdupes-*-mac*.zip
 
 package:
 	+./chroot_build.sh
+winpackage:
+	+./generate_windows_packages.sh
+macpackage:
+	+./generate_mac_packages.sh
