=== debian/changelog ===
jdupes (1.18.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Jul 2020 17:56:23 -0300

jdupes (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1.
  * debian/tests/control: use native 'tree' command to make two CI tests
    cross-test-friendly for Ubuntu. See more details in #946361.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Jul 2020 23:07:32 -0300

jdupes (1.17.1-1) unstable; urgency=medium

  * New upstream version 1.17.1.
  * debian/copyright: updated because the upstream file called dedupe-static.h
    was renamed to linux-dedupe-static.h.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Jul 2020 22:47:33 -0300

jdupes (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0.
  * debian/control: removed no longer needed Provides, Conflicts, Replaces
    fields.
  * debian/source/include-binaries: created to list new binary files to be
    used for CI tests.
  * debian/tests/*: created new tests and improved some old tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 25 Jun 2020 13:24:50 -0300

jdupes (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0. (Closes: #866246)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Jun 2020 14:10:33 -0300

jdupes (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: removed.
    The upstream fixed the source code. Thanks!
  * debian/tests/control: added a break line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2020 01:00:05 -0300

jdupes (1.14.0-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 13.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 00:25:22 -0300
