=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jbruchon/jdupes
 Vcs-Browser: https://salsa.debian.org/debian/jdupes
@@ -13,9 +13,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: jdupes-btrfs
-Conflicts: jdupes-btrfs
-Replaces: jdupes-btrfs
 Description: identify and delete or link duplicate files
  jdupes is a program based in fdupes. The main goal of jdupes is identify
  and taking actions upon duplicate files. In comparison with fdupes, jdupes
