## jdupes 1.18.2

=== debian/changelog ===
jdupes (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 15:34:01 -0300
