## jdupes 1.19.1

=== Makefile ===
--- 
+++ 
@@ -52,8 +52,8 @@
 
 # Make Configuration
 CC ?= gcc
-COMPILER_OPTIONS = -Wall -Wextra -Wwrite-strings -Wcast-align -Wstrict-aliasing -Wstrict-overflow -Wstrict-prototypes -Wpointer-arith -Wundef
-COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Wstrict-overflow=5 -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Wformat=2 -Winit-self
+COMPILER_OPTIONS = -Wall -Wwrite-strings -Wcast-align -Wstrict-aliasing -Wstrict-prototypes -Wpointer-arith -Wundef
+COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Wformat=2
 COMPILER_OPTIONS += -std=gnu99 -O2 -g -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -pipe
 COMPILER_OPTIONS += -DSMA_MAX_FREE=11
 
@@ -61,11 +61,10 @@
 # no need to modify anything beyond this point                      #
 #####################################################################
 
-# Set built-on date for display in program version info screen
-ifdef EMBED_BUILD_DATE
-BD=$(shell date +"\"%Y-%m-%d %H:%M:%S %z\"")
-$(shell echo "#define BUILT_ON_DATE \"$(BD)\"" > build_date.h)
-COMPILER_OPTIONS += -DBUILD_DATE
+# Don't use unsupported compiler options on gcc 3/4 (OS X 10.5.8 Xcode)
+GCCVERSION = $(shell expr `gcc -v 2>&1 | grep 'gcc version ' | cut -d\  -f3 | cut -d. -f1` \>= 5)
+ifeq "$(GCCVERSION)" "1"
+	COMPILER_OPTIONS += -Wextra -Wstrict-overflow=5 -Winit-self
 endif
 
 # Debugging code inclusion
@@ -90,16 +89,31 @@
 	ENABLE_DEDUPE=1
 endif
 
+UNAME_S=$(shell uname -s)
+
 # MinGW needs this for printf() conversions to work
 ifeq ($(OS), Windows_NT)
-ifndef NO_UNICODE
-	UNICODE=1
-	COMPILER_OPTIONS += -municode
-	PROGRAM_SUFFIX=.exe
-endif
+	ifndef NO_UNICODE
+		UNICODE=1
+		COMPILER_OPTIONS += -municode
+		PROGRAM_SUFFIX=.exe
+	endif
 	COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1 -DON_WINDOWS=1
-	OBJS += win_stat.o winres.o
+	OBJS += win_stat.o
+	ifeq ($(UNAME_S), MINGW32_NT-5.1)
+		OBJS += winres_xp.o
+	else
+		OBJS += winres.o
+	endif
 	override undefine ENABLE_DEDUPE
+endif
+
+# Don't do clonefile on Mac OS X < 10.13 (High Sierra)
+ifeq ($(UNAME_S), Darwin)
+	DARWINVER := $(shell expr `uname -r | cut -d. -f1` \< 17)
+	ifeq "$(DARWINVER)" "1"
+		COMPILER_OPTIONS += -DNO_CLONEFILE=1
+	endif
 endif
 
 # Compatibility mappings for dedupe feature
@@ -135,14 +149,12 @@
 # to support features not supplied by their vendor. Eg: GNU getopt()
 #ADDITIONAL_OBJECTS += getopt.o
 
-OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o jody_strtoepoch.o string_malloc.o
+OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o jody_strtoepoch.o string_malloc.o oom.o
 OBJS += jody_cacheinfo.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o act_printjson.o
 OBJS += xxhash.o
 OBJS += $(ADDITIONAL_OBJECTS)
 
-OBJS_CLEAN += jdupes-standalone
-
 all: $(PROGRAM_NAME)
 
 static: $(PROGRAM_NAME)
@@ -155,11 +167,13 @@
 $(PROGRAM_NAME): $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM_NAME) $(OBJS)
 
-winres.o : winres.rc winres.manifest.xml
+winres.o: winres.rc winres.manifest.xml
 	./tune_winres.sh
 	windres winres.rc winres.o
 
-standalone: jdupes-standalone
+winres_xp.o: winres_xp.rc
+	./tune_winres.sh
+	windres winres_xp.rc winres_xp.o
 
 installdirs:
 	test -e $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
@@ -187,13 +201,10 @@
 	$(RM) $(OBJS) $(OBJS_CLEAN) build_date.h $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
 
 distclean: clean
-	$(RM) *.pkg.tar.xz
-	$(RM) -r jdupes-*-win*/ jdupes-*-win*.zip
-	$(RM) -r jdupes-*-mac*/ jdupes-*-mac*.zip
-
+	$(RM) *.pkg.tar.*
+	$(RM) -r jdupes-*-*/ jdupes-*-*.zip
+
+chrootpackage:
+	+./chroot_build.sh
 package:
-	+./chroot_build.sh
-winpackage:
-	+./generate_windows_packages.sh
-macpackage:
-	+./generate_mac_packages.sh
+	+./generate_packages.sh
