=== debian/changelog ===
jdupes (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/tests/control:
      - Added a new test based in package forensics-samples-files.
      - Removed option -T from a test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Nov 2020 21:20:13 -0300

jdupes (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0.
  * debian/tests/control: added a restriction to last CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Oct 2020 00:09:03 -0300
