=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
      export OPT1="ENABLE_DEDUPE=1"
      export OPT2="STATIC_DEDUPE_H=1"
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(OPT1) $(OPT2)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_auto_test:
