=== debian/tests/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Test-Command: jdupes -r testdir
 
 Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP;
-              jdupes -@1ADHinprlsT $AUTOPKGTEST_TMP/files;
+              jdupes -@1ADHinprls $AUTOPKGTEST_TMP/files;
               tree -C $AUTOPKGTEST_TMP/
 Depends: @, tree:native
 
@@ -25,3 +25,9 @@
               jdupes -@rdNQzo time  -X size+:15 $AUTOPKGTEST_TMP/files;
               tree -C $AUTOPKGTEST_TMP/
 Depends: @, tree:native
+Restrictions: allow-stderr
+
+Test-Command: fsdeploy original-files;
+              jdupes -r $AUTOPKGTEST_TMP/
+Restrictions: allow-stderr
+Depends: @, forensics-samples-files
